Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions

# enc/us_ascii.c File Reference

`#include "regenc.h"`
Include dependency graph for us_ascii.c:

Go to the source code of this file.

## Functions
static int | us_ascii_mbc_enc_len (const UChar *p, const UChar *e, OnigEncoding enc)
| OnigEncodingDefine (us_ascii, US_ASCII)

## Function Documentation

OnigEncodingDefine | ( | us_ascii | ,
|  | US_ASCII |
| ) |  |

static int us_ascii_mbc_enc_len | ( | const UChar * | p,
|  | const UChar * | e,
|  | OnigEncoding | enc
| ) |  | `[static]`

Definition at line 4 of file us_ascii.c.

References ONIGENC_CONSTRUCT_MBCLEN_CHARFOUND, and ONIGENC_CONSTRUCT_MBCLEN_INVALID.